statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Transform

Description

Transformations over distributions

Synopsis

- data LinearTransform d = LinearTransform {
  - linTransLocation :: !Double
  - linTransScale :: !Double
  - linTransDistr :: d
  }
- linTransFixedPoint :: LinearTransform d -> Double
- scaleAround :: Double -> Double -> d -> LinearTransform d

# Documentation

data LinearTransform d

Linear transformation applied to distribution.

     LinearTransform μ σ _ x' = μ + σ·

Constructors

LinearTransform |

Fields

linTransLocation :: !Double

  Location parameter.

linTransScale :: !Double

  Scale parameter.

linTransDistr :: d

  Distribution being transformed.

Instances

Functor LinearTransform |
Typeable1 LinearTransform |
Eq d => Eq (LinearTransform d) |
Read d => Read (LinearTransform d) |
Show d => Show (LinearTransform d) |
ContGen d => ContGen (LinearTransform d) |
Variance d => Variance (LinearTransform d) |
MaybeVariance d => MaybeVariance (LinearTransform d) |
Mean d => Mean (LinearTransform d) |
MaybeMean d => MaybeMean (LinearTransform d) |
ContDistr d => ContDistr (LinearTransform d) |
Distribution d => Distribution (LinearTransform d) |

linTransFixedPoint :: LinearTransform d -> Double

Get fixed point of linear transformation

scaleAround

Arguments

:: Double | Fixed point
-> Double | Scale parameter
-> d | Distribution
-> LinearTransform d |

Apply linear transformation to distribution.